Pages: 12Next
Current Page: 1 of 2
bungled upgrade, addons not working
Posted by: coline907 (137.229.79.---)
Date: November 02, 2022 02:01AM

1 - Win server 2012R2 64bit
2 - wampserver 3.2.9 32bit
3 - Apache Version 2.4.18
4 - PHP Version 5.7.11
5 - MySQL Version 5.6.19
5a - MariaDB version if applicable none
6 - WampServer icon is green


I upgraded wamp by not following the instructions. I simply installed the new wamp .exe right over my old one. Doh. I didn't even look at the version number, it was actually the same I think. Long story short, I then copied the /wamp to /oldwamp. I finally got it all restored by removing all the other stuff I tried to install in the interim, and just renaming the old one to the /wamp. Icon is green and the website works. However, it won't let me change the php or apache. This was the whole point as I need to upgrade to be compliant with my network.

For example, now I can install a slightly older apache addon, and it doesn't even show up on my verison list. The tray menu thing is glitching out as well. I can change the php version but then the website fails.

Any advice is much appreciated. I fully realize this is my own fault....

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: Otomatic (Moderator)
Date: November 02, 2022 08:45AM

What you can try to do is:

- 1 - Verify that all VC ++ packages are installed and with the latest versions.
To do this, use the tool:
Checks VC++ packages installed
Do not use a previously loaded tool. Make a new download to make sure you are using the correct version.
To download missing packages, do not rely on Microsoft links, they are not reliable, download packages on http://wampserver.aviatechno.net in section Visual C++ Redistribuable Packages
Do not forget that if you have a 64 bit Windows, you must install both 32 and 64 bit versions of each package.
You must install each package "as an administrator", so right-click the exe file and then run as Administrator.

- 2 - Apply Update 3.2.9 to your version of Wampserver
Wampserver update 3.2.9

Theoretically this is not a problem, however, it is advisable to backup your local sites and export your databases.

The 3.2.9 update can be restarted - as administrator - as often as you like; this allows you to reset files that have been changed unintentionally.
It may be necessary to empty the log files by Right-Click -> Tools -> Empty log files -> Empty all log files

------------------------------------------------------------------------------------------------------------
Wampserver 3.3.0 32 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39 - MariaDB 10.5.13/10.6.5
Wampserver 3.3.0 64 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39/8.0.30 - MariaDB 10.5.17/10.9.2
PhPMyadmin 5.2.0 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »



Edited 1 time(s). Last edit at 11/02/2022 10:24AM by Otomatic.

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: coline907 (137.229.79.---)
Date: November 02, 2022 09:03PM

I forgot to mention that I checked this, but I did download the file checker you provided and verified my VC++ packages. I assume I click no for php 5.3-5.4 since I'm using 5.6. If I click yes it says I need some older VC+ packages

I ran the updater you provided. Thanks. It said something with the Aestan tray needed updating, but otherwise was uneventful.

I now get some error msg when starting wamp. There is an Aestan tray menu error box, says "the configuration file contains a syntax error on line 4549: [EParseError] Unknown action type "RESTARTREADCONFIG"

There is also a pop up box says "Symbolic link or file c:/wamp/bin/apache/apache2.4.18/bin/php.ini does not exist".

Now wampserver will not open, and tray menu doesn't appear.

My webpage address shows the wamp config page with an error on the bottom:
Port used for the VirtualHost is not an Apache Listen port

*** ERROR *** The PHP configuration loaded file is: - should be: c:/wamp/bin/apache/apache2.4.18/bin/php.ini or c:/wamp/bin/php/php5.6.19/phpforapache.ini
You must perform: Right-click icon Wampmanager -> Refresh

However, the latter file phpforapache.ini does exist in that directory (although it has some caps phpForApache.ini There is no php.ini file in the apache bin/ That is weird.

Finally, I tried to copy the php.ini from my archived /wamp folder, but that doesn't fix it. In fact when I open wamp, it deletes the file.



Edited 3 time(s). Last edit at 11/02/2022 09:28PM by coline907.

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: Otomatic (Moderator)
Date: November 03, 2022 09:51AM

If you haven't cleaned up the log files as explained above, now is the time to do so.

Apply the update Aestan Tray Menu 3.2.4.9

If needed, perform Wampmanager.ini repair

------------------------------------------------------------------------------------------------------------
Wampserver 3.3.0 32 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39 - MariaDB 10.5.13/10.6.5
Wampserver 3.3.0 64 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39/8.0.30 - MariaDB 10.5.17/10.9.2
PhPMyadmin 5.2.0 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: coline907 (137.229.79.---)
Date: November 03, 2022 08:56PM

I could not clear the logs since I can't use the tray menu. Running the aestan tray repair didn't do anything.

When I left click I get nothing. When I right click I get a message in french. Echec a l'obtention des donnees pour 'UBR' then the 'about aestan tray menu screen appears.

I also ran the wampmanager.ini repair, also no result. I run these as admin, and used the downloads you provided.

The icon is green, but I can't see my webpage or interface with the aestan tray.

Is there another way to clear the logs?

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: Otomatic (Moderator)
Date: November 03, 2022 09:27PM

Open each log file in wamp64/logs/ directory with Notepad++ then suppress all texte then save thé file.

What are thé four last lines of wampmanager.ini file ?

------------------------------------------------------------------------------------------------------------
Wampserver 3.3.0 32 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39 - MariaDB 10.5.13/10.6.5
Wampserver 3.3.0 64 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39/8.0.30 - MariaDB 10.5.17/10.9.2
PhPMyadmin 5.2.0 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: coline907 (137.229.79.---)
Date: November 07, 2022 08:44PM

Cleared (deleted) most logs. Apache error log I could not delete anything (ran notepad++ as admin, messed with security settings) and access log was too large for notepad++ to open. Site running since 2016).

Last four lines of wampmanager.ini are:
[Options]
AeTrayMode=32 Bits
AeTrayOldMode=32bit
AeTrayVersion=3.2.4.9

Still cannot use Aestan tray, icon is green, website is down. My server is 64bit, but the x86 version of wamp always worked fine in the past. I don't recall why I'm using that instead of 64....

Thanks for helping me.



Edited 1 time(s). Last edit at 11/07/2022 11:22PM by coline907.

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: Otomatic (Moderator)
Date: November 08, 2022 09:01AM

> access log was too large for notepad++ to open. Site running since 2016).

Delete the files you can't empty.

------------------------------------------------------------------------------------------------------------
Wampserver 3.3.0 32 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39 - MariaDB 10.5.13/10.6.5
Wampserver 3.3.0 64 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39/8.0.30 - MariaDB 10.5.17/10.9.2
PhPMyadmin 5.2.0 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: coline907 (137.229.79.---)
Date: November 08, 2022 11:59PM

Deleted files, restarted wamp, the files were recreated. The only error within so far is mariadb directory does not exist I am not using this.

Still cannot left or right click on tray icon.

I re-installed aestan tray and ran wampinirepair.bat. Ran the restart wamp.bat. I do get an icon, but no clicking is possible. My URL still only shows the wamp configuration screen with this error on the bottom

Port used for the VirtualHost is not an Apache Listen port

*** ERROR *** The PHP configuration loaded file is: - should be: c:/wamp/bin/apache/apache2.4.18 /bin/php.ini or c:/wamp/bin/php/php5.6.19/phpforapache.ini
You must perform: Right-click icon Wampmanager -> Refresh"

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: Otomatic (Moderator)
Date: November 09, 2022 09:17AM

> The only error within so far is mariadb directory does not exist I am not using this.

The complete and exact texts of the error messages are very important, so it is essential to communicate them completely and not just say that there is an error.

In this case, you should put :
SupportMariaDB = "off"
into the [options] section of wampmanager.conf file

> *** ERROR *** The PHP configuration loaded file is: - should be:...
In the bin folder of the Apache version used, there must be a php.ini symbolic link that points to the phpForApache.ini file of the PHP version declared as an Apache module.
E:\wamp\bin\apache\apache2.4.18\bin>dir php.ini
09/11/2022  09:09    <SYMLINK>      php.ini [E:/wamp/bin/php/php5.6.19/phpForApache.ini]

The case must be respected, it is: phpForApache.ini and not phpforapache.ini

------------------------------------------------------------------------------------------------------------
Wampserver 3.3.0 32 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39 - MariaDB 10.5.13/10.6.5
Wampserver 3.3.0 64 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39/8.0.30 - MariaDB 10.5.17/10.9.2
PhPMyadmin 5.2.0 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: coline907 (137.229.79.---)
Date: November 10, 2022 10:23PM

Those things are already true.
*support Maria DB is already off
*both versions of php have the correct case in the phpForApache.ini

As I said there is no php.ini in the /wamp/bin/apache and if I create one it is deleted.

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: Otomatic (Moderator)
Date: November 11, 2022 09:21AM

Hi,

Create a folder c:\wamp\bin\mariadb\ if it does not exist.

Install a recent Apache version, for example :
Apache 2.4.54

Launch Wampserver, then switch to this Apache version by Left-Click -> Apache -> Version
Do not copy the old apache 2.4.18 files to 2.4.54, so just answer the questions with the Enter key.

------------------------------------------------------------------------------------------------------------
Wampserver 3.3.0 32 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39 - MariaDB 10.5.13/10.6.5
Wampserver 3.3.0 64 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39/8.0.30 - MariaDB 10.5.17/10.9.2
PhPMyadmin 5.2.0 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: coline907 (137.229.79.---)
Date: November 15, 2022 10:27PM

I created the folder.
I ran the apache addon you linked. It says that my /wamp folder is not version 3 which isn't true. Besides I already ran the wampserver 3 update, and the Apache and PHP update/addons as previously described.

I suspect that somehow while resurecting my wamp after improperly installing wampserver3 over the old one (instead of addon) that it is mixed up with different versions.

I do also think with more help it can probably be fixed. Thanks in advance

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: Otomatic (Moderator)
Date: November 16, 2022 08:51AM

Hi,

> It says that my /wamp folder is not version 3 which isn't true.
For it to be considered as a Wampserver version 3 there must be 'WampServer Version 3' (without the quotes) in the wampmanager.ini file
For example:
[AboutText]
WampServer Version 3.2.6 64bit

Which means there has to be:
[AboutText]
; **** Do not modify the next line ****
WampServer Version {$c_wampVersion} {$c_wampMode}
dans le fichier wampmanager.tpl

------------------------------------------------------------------------------------------------------------
Wampserver 3.3.0 32 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39 - MariaDB 10.5.13/10.6.5
Wampserver 3.3.0 64 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39/8.0.30 - MariaDB 10.5.17/10.9.2
PhPMyadmin 5.2.0 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: coline907 (137.229.79.---)
Date: November 17, 2022 02:59AM

Do you mean I should insert your 'Do not modify' text string right below [AboutText]?

My wampmanager.ini file has this in the initial 18 lines:

[Config]
ImageList=images_off.bmp
ServiceCheckInterval=1
ServiceGlyphRunning=13
ServiceGlyphPaused=14
ServiceGlyphStopped=15
TrayIconAllRunning=16
TrayIconSomeRunning=17
TrayIconNoneRunning=18
ID={wampserver}
AboutHeader=WAMPSERVER
AboutVersion=Version 3.0.0

[AboutText]
WampServer
Created by Romain Bourdon
wampmanager.ini minimum file to recreate
the original file if is corrupted

In the Startup Action part is has:
[StartupAction]
Action: run; FileName: "c:/wamp/bin/php/php8.1.12/php-win.exe";Parameters: "refresh.php";WorkingDir: "c:/wamp/scripts"; Flags: waituntilterminated
Action: resetservices
Action: readconfig;
Action: service; Service: wampapache; ServiceAction: startresume; Flags: ignoreerrors
Action: service; Service: wampmysqld; ServiceAction: startresume; Flags: ignoreerrors

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: Otomatic (Moderator)
Date: November 17, 2022 08:15AM

Hi,

That would mean that "wampmanager.ini repair" didn't work!

Another thing I'm curious about is:
Action: run; FileName: "c:/wamp/bin/php/php8.1.12/php-win.exe";
This is the php version used as apache module when it should be the PHP version used by Wampserver for its own scripts : 5.6.40

Download again Wampserver.ini repair then run it as administrator to install it.

Wampserver must be stopped !

Then, open the file manager on your wamp folder, locate the file "wampini_repair.bat" then right-click on this file and Run as administrator.

After a few moments, Wampserver should start but the icon may not turn green, in which case Left-Click -> Restart Services.

------------------------------------------------------------------------------------------------------------
Wampserver 3.3.0 32 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39 - MariaDB 10.5.13/10.6.5
Wampserver 3.3.0 64 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39/8.0.30 - MariaDB 10.5.17/10.9.2
PhPMyadmin 5.2.0 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »



Edited 1 time(s). Last edit at 11/17/2022 08:38AM by Otomatic.

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: coline907 (137.229.79.---)
Date: November 17, 2022 09:45PM

I tried that again, to run the repair tool
I made sure to you the download you provided.
Since my tray icon is not functioning, I ran the quit_wampserver.bat (as admin) and also stopped the apache and other services on my Win server manager.
The .ini file still doesn't have that line in it. I am using Notepad ++ and reloaded it.
I changed the php version in the path and also no result.

At bottom of wampmanager.ini is this:
[Options]
AeTrayMode=32 Bits
AeTrayOldMode=32bit
AeTrayVersion=3.2.4.9

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: Otomatic (Moderator)
Date: November 18, 2022 09:38AM

Hi,

I despair!

We'll try the "last chance trick" !

It is possible, on the same system, to have both Wampserver 32bit and Wampserver 64bit - as long as you don't run both at the same time, and the only differences between the two are the contents of the wampmanager.conf file and the 32bit or 64bit versions of Apache, PHP, MySQL and MariaDB.

The version you want to get is Wampserver 32bit.

So,

-- 1 - Quit Wampserver 32bit
- Check that Aestan Tray Menu is stopped
- Check that the three services wampapache, wampmysqld, wampmariadb are stopped

-- 2 - Download Wampserver 3.2.6 full install 64bit
Here -> Wampserver 3.2.6

-- 3 - Install the downloaded file "as an administrateur" into c:\wamp64\

-- 4 - Verify that Wampserver 3.2.6 64bit can be launched and is working properly

-- 5 - Quit Wampserver 64bit

-- 6 - Apply Update 3.2.9 to your version of Wampserver 64bit
Wampserver update 3.2.9

-- 7 - Verify that Wampserver 3.2.9 64bit can be launched and is working properly

-- 8 - Quit Wampserver 64bit

If everything works correctly, you will have to copy the following folders and files from c:/wamp64/ to c/wamp/, replacing the destination:

c:\wamp64\wampmanager.tpl

c:\wamp64\www\wamplangues\*.*
c:\wamp64\www\wampthemes\*.*
c:\wamp64\www\add_vhost.php
c:\wamp64\www\index.php

c:\wamp64\lang\*.*
c:\wamp64\scripts\*.*

Once all the files and folders are copied, you can run the file
c:\wamp\wampini_repair.bat
as an administrator

I'll keep my fingers crossed and light a candle at St. Joseph des Épinettes next door!

------------------------------------------------------------------------------------------------------------
Wampserver 3.3.0 32 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39 - MariaDB 10.5.13/10.6.5
Wampserver 3.3.0 64 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39/8.0.30 - MariaDB 10.5.17/10.9.2
PhPMyadmin 5.2.0 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: coline907 (137.229.79.---)
Date: November 23, 2022 02:56AM

I closely followed your instructions. It seemed to all work as expected.
When I run c:/wampmanager.exe or run restart_wampserver.bat, nothing really seems to happen.
But in my Win server manager, it shows apache, mysql etc running for the 32bit, not for the 64bit (as expected since I quit that version).
There is a tray menu item, which is green, but cannot right or left click on it.
I could click on the 64bit versions when they were running.

My website now has following errors in the wamp homepage:
-PhpMyAdmin 5.2.0 not compatible with PHP 5.6.19
-Port used for the VirtualHost is not an Apache Listen port

Has correct 32bit wamp running.
Here is URL if you want to look: [aon.iab.uaf.edu]


Thank you for your help and prayers even!

Options: ReplyQuote
Re: bungled upgrade, addons not working
Posted by: Otomatic (Moderator)
Date: November 23, 2022 09:35AM

Hi,

> When I run c:/wampmanager.exe

It is totally abnormal that wampmanager.exe is at the root of c:

By default it should be :
- For Wampserver 32bit: c:\wamp\wampmanager.exe
- For Wampserver 64bit: c:\wamp64\wampmanager.exe

> -PhpMyAdmin 5.2.0 not compatible with PHP 5.6.19
This is not an error but just an information. If you want to use PhpMyAdmin with PHP 5.6.19 you will have to install another compatible version.

> -Port used for the VirtualHost is not an Apache Listen port
You have one or more VirtualHost which use a port other than 80. In this case this port must be defined by the tools integrated in Wampserver : Right-Click -> Tools -> Add a ListenPort to Apache

------------------------------------------------------------------------------------------------------------
Wampserver 3.3.0 32 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39 - MariaDB 10.5.13/10.6.5
Wampserver 3.3.0 64 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39/8.0.30 - MariaDB 10.5.17/10.9.2
PhPMyadmin 5.2.0 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Pages: 12Next
Current Page: 1 of 2


Sorry, only registered users may post in this forum.